# <uptodate>

[This is preliminary documentation and subject to change.]

Check modification dates on groups of files.

If all `targetfiles` are same or newer than all `sourcefiles`, the specified property is set to true, otherwise it is set to false.

### Parameters

Attribute | Type | Description | Required
--- | --- | --- | ---
property | string | Property that will be set to true or false depending on the result of the date check. | True
failonerror | bool | Determines if task failure stops the build, or is just reported. The default is true. | False
if | bool | If true then the task will be executed; otherwise, skipped. The default is true. | False
unless | bool | Opposite of `if`. If false then the task will be executed; otherwise, skipped. The default is false. | False
verbose | bool | Determines whether the task should report detailed build log messages. The default is false. | False

### Nested Elements:

#### <sourcefiles>

The <fileset> that contains list of source files.

#### </sourcefiles>

#### <targetfiles>

The <fileset> that contains list of target files.

#### </targetfiles>

### Examples

- Check file dates. If `myfile.dll` is same or newer than `myfile.cs`, then set `myfile.dll.uptodate` property to either true or false.

      <uptodate property="myfile.dll.uptodate">
          <sourcefiles>
              <include name="myfile.cs" />
          </sourcefiles>
          <targetfiles>
              <include name="myfile.dll" />
          </targetfiles>
      </uptodate>

### Requirements

Assembly: NAnt.Core (0.91.3881.0)